import * as i0 from "@angular/core";
export declare class HeAuthService {
    private _token?;
    set token(token: string);
    get headers(): {
        [header: string]: string;
    };
    static ɵfac: i0.ɵɵFactoryDeclaration<HeAuthService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<HeAuthService>;
}
